<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Tables and Forms</title>
</head>
<body>
	<header>
		<h1>HTML Tables and Forms</h1>
	</header>

	<main>
		<section>
			<h2>HTML Entities</h2>	
			<p><em>Reserved characters in HTML(e.g. &lt; or &gt; characters that can mix up with HTML code.)</em></p>

			<!-- Define an HTML Table -->
			<table border="1">
				<!-- Used to group table header content -->
				<thead>
					<!-- Defines a table row -->
					<tr>
						<!-- Defines a table header element -->
						<!-- Defines the amount of columns the table element will occupy -->
						<th colspan="2">Entity</th>
						<th>Description</th>
					</tr>
					</thead>
					<!-- Used to group table body content -->
					<tbody>
						<tr>
						<!-- Defines a table data element -->
						<td>&lt; </td>
						<td>lt</td>
						<td>less than</td>
					</tr>
					<tr>
						<td>&gt; </td>
						<td>gt</td>
						<td>greater than</td>
					</tr>
					<tr>
						<td>&#8377;</td>
						<td>#8377</td>
						<td>rupee sign</td>
					</tr>
					<tr>
						<td>&amp;</td>
						<td>amp</td>
						<td>ampersand</td>
					</tr>
					<tr>
						<td>&quot; </td>
						<td>quot</td>
						<td>double quotation marks</td>
					</tr>
					<tr>
						<td>&apos;</td>
						<td>apos</td>
						<td>apostrophe</td>
					</tr>
					<tr>
						<td>&cent;</td>
						<td>cent</td>
						<td>cent</td>
					</tr>
					<tr>
						<td>&pound;</td>
						<td>pound</td>
						<td>pound</td>
					</tr>
					<tr>
						<td>&copy;</td>
						<td>copy</td>
						<td>copyright</td>
					</tr>
					<tr>
						<td>&reg;</td>
						<td>reg</td>
						<td>registered trademark</td>
					</tr>
					<tr>
						<td>a&#771;</td>
						<td>#771</td>
						<td>tilde</td>
					</tr>
					<tr>
						<td>a&#770</td>
						<td>#770</td>
						<td>unit Vector</td>
					</tr>
				</tbody>
				<!-- Used to group table footer content -->
				<tfoot>
					<tr>
						<th colspan="3">List of HTML Entities</th>
					</tr>
				</tfoot>
			</table>
			
		</section>
		

		<h2>HTML Forms</h2>
		<p><em>Input elements that make up a form.</em></p>

		<!-- Creates an HTML form to capture user input -->
		<form action="https://google.com">
			<!-- Creates a label and allows for input field selection when clicked -->
			<label for="full_name">Full Name</label><br>
			<input type="text" name="full_name" id="full_name" required><br>

			<label for="birth_date">Birth date</label><br>
			<input type="date" name="birth_date" id="birth_date" required><br>

			<label for="age">Age:</label><br>
			<input type="number" name="age" id="age"><br>

			<!-- Creates a dropdown menu -->
			<label for="gender">Gender:</label>
			<!-- Creates a dropdown menu-->
			<select name="gender" id="gender">
				<!-- Creates options for the dropdown -->
				<option value="Male">Male</option>
				<option value="Female">Female</option>
			</select><br>


	        <label for="notes">Notes:</label><br>
			<!-- Create a larger text input -->
			<textarea name="notes" id="notes" rows="5"></textarea><br>

			<!-- Radio buttons -->
			<label>New User:</label><br>
			<input type="radio" name="new_user" id="user-type1" value="yes">
			<label for="user-type1">Yes</label><br>

			<input type="radio" name="new_user" id="user-type2" value="no">
			<label for="user-type2">No</label><br>

			<!-- Checkboxes -->
			<label>Role:</label><br>

			<!-- Creates checkboxes for multiple choices -->
			<input type="checkbox" name="role1" id="role1" value="developer">
			<label for="role1">Developer</label><br>

			<input type="checkbox" name="role2" id="role2" value="student">
			<label for="role2">Student</label><br>

			<input type="checkbox" name="role3" id="role3" value="manager">
			<label for="role3">Manager</label><br>


			<!-- Creates a button that will submit the form data -->
			<button type="submit">Submit</button><br>
			<!-- Creates a button to reset the form data -->
			<button type="reset">Reset</button>
		</form>
		
	</main>
	

</body>
</html>